From: "Ionen Wolkens" <ionen@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/audacity/
Date: Wed, 17 Apr 2024 19:20:14 +0000 (UTC) [thread overview]
Message-ID: <1713381437.161cbd97260fddf846671aaf1de191e3545752e7.ionen@gentoo> (raw)
commit: 161cbd97260fddf846671aaf1de191e3545752e7
Author: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 17 19:14:46 2024 +0000
Commit: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Wed Apr 17 19:17:17 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=161cbd97
media-sound/audacity: restore stable 3.3.3
Glancing over the PR, seems de-stabilizing git mv'ed 3.3.3-r1
was an afterthought and it resulted in removing the stable 3.3.3.
Seems doubtful dropping stable users back to audacity-2 while
waiting for 3.4.2 stable was the intended outcome.
Fixes: 72e8c24fcd0beb997a88f7d185a02a212abafe37
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>
media-sound/audacity/audacity-3.3.3.ebuild | 243 +++++++++++++++++++++++++++++
1 file changed, 243 insertions(+)
diff --git a/media-sound/audacity/audacity-3.3.3.ebuild b/media-sound/audacity/audacity-3.3.3.ebuild
new file mode 100644
index 000000000000..2cba5da71a87
--- /dev/null
+++ b/media-sound/audacity/audacity-3.3.3.ebuild
@@ -0,0 +1,243 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+WX_GTK_VER="3.2-gtk3"
+
+inherit cmake flag-o-matic wxwidgets xdg virtualx
+
+DESCRIPTION="Free crossplatform audio editor"
+HOMEPAGE="https://www.audacityteam.org/"
+
+# A header-only thread pool library, without a build system, about 100
+# lines of code. Probably not worth packaging individually. Check
+# cmake-proxies/CMakeLists.txt and search for "ThreadPool".
+MY_THREADPOOL_DATE=20140926
+MY_THREADPOOL="https://raw.githubusercontent.com/progschj/ThreadPool/9a42ec1329f259a5f4881a291db1dcb8f2ad9040/ThreadPool.h -> progschj-ThreadPool-${MY_THREADPOOL_DATE}.h"
+
+if [[ ${PV} = 9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/audacity/audacity.git"
+else
+ KEYWORDS="amd64 ~arm64 ppc64 ~riscv ~x86"
+ MY_P="Audacity-${PV}"
+ S="${WORKDIR}/${PN}-${MY_P}"
+ SRC_URI="https://github.com/audacity/audacity/archive/${MY_P}.tar.gz"
+fi
+
+SRC_URI+=" audiocom? ( ${MY_THREADPOOL} )"
+
+# GPL-2+, GPL-3 - Audacity itself
+# ZLIB - The ThreadPool single-header library
+# CC-BY-3.0 - Documentation
+LICENSE="GPL-2+
+ GPL-3
+ audiocom? ( ZLIB )
+"
+SLOT="0"
+IUSE="alsa audiocom ffmpeg +flac id3tag +ladspa +lv2 mad mpg123 ogg
+ opus +portmixer sbsms test twolame vamp +vorbis wavpack"
+RESTRICT="!test? ( test )"
+
+# dev-db/sqlite:3 hard dependency.
+# dev-libs/glib:2, x11-libs/gtk+:3 hard dependency, from
+# cmake-proxies/cmake-modules/dependencies/wxwidgets.cmake
+# sys-apps/util-linux hard dependency, from cmake-proxies/CMakeLists.txt
+# for libuuid
+# portmidi became non-optional: building without it results in build
+# failures, even with some of the Debian patches. It's probably not
+# in our best interest to fix that as a patch series.
+# glib, gtk and gdk are all directly relied on in the source, not just
+
+# Libraries used at runtime via dlopen:
+# - dev-libs/{serd,sord} - for LV2 support
+# - media-libs/{opus,sratom} :: For Opus and LV2 respectively
+# - media-sound/lame :: For MP3 export
+# - media-video/ffmpeg :: For generic FFMPEG export
+# This one has the interesting property of many versions being
+# supported at runtime. See: libraries/lib-ffmpeg-support/impl
+# Current support grid:
+# - Lavf - 5[789]
+# - Lavc - 5[789]
+# - Lavu - 5[2567]
+
+RDEPEND="dev-db/sqlite:3
+ dev-libs/expat
+ dev-libs/glib:2
+ media-libs/libsndfile
+ media-libs/libsoundtouch:=
+ media-libs/portaudio[alsa?]
+ media-libs/portmidi
+ media-libs/portsmf:=
+ media-libs/soxr
+ media-sound/lame
+ x11-libs/gdk-pixbuf:2
+ x11-libs/gtk+:3
+ x11-libs/wxGTK:${WX_GTK_VER}[X]
+ sys-apps/util-linux
+ alsa? ( media-libs/alsa-lib )
+ audiocom? (
+ dev-libs/rapidjson
+ net-misc/curl
+ )
+ ffmpeg? ( media-video/ffmpeg )
+ flac? ( media-libs/flac:=[cxx] )
+ id3tag? ( media-libs/libid3tag:= )
+ lv2? (
+ dev-libs/serd
+ dev-libs/sord
+ media-libs/lilv
+ media-libs/lv2
+ media-libs/sratom
+ media-libs/suil
+ )
+ mad? ( media-libs/libmad )
+ mpg123? ( media-sound/mpg123 )
+ ogg? ( media-libs/libogg )
+ opus? ( media-libs/opus )
+ sbsms? ( media-libs/libsbsms )
+ twolame? ( media-sound/twolame )
+ vamp? ( media-libs/vamp-plugin-sdk )
+ vorbis? ( media-libs/libvorbis )
+ wavpack? ( media-sound/wavpack )
+"
+DEPEND="${RDEPEND}
+ test? ( <dev-cpp/catch-3:0 )"
+BDEPEND="app-arch/unzip
+ sys-devel/gettext
+ virtual/pkgconfig
+"
+
+REQUIRED_USE="
+ mad? ( !mpg123 )
+"
+
+PATCHES=(
+ # Equivalent to previous versions
+ "${FILESDIR}/${PN}-3.2.3-disable-ccache.patch"
+ # From Debian
+ "${FILESDIR}/${PN}-3.3.3-fix-rpaths.patch"
+
+ # Disables some header-based detection
+ "${FILESDIR}/${PN}-3.2.3-allow-overriding-alsa-jack.patch"
+
+ # For has_networking
+ "${FILESDIR}/${PN}-3.3.3-local-threadpool-libraries.patch"
+ "${FILESDIR}/${PN}-3.3.3-upstream-fix-rapidjson.patch"
+
+ # Add Findlibmad.cmake
+ "${FILESDIR}/${PN}-3.3.3-Findlibmad.patch"
+
+ # Fix includes
+ "${FILESDIR}/${PN}-3.3.3-fix-includes.patch"
+
+ # gettext 0.22
+ "${FILESDIR}/${PN}-3.3.3-gettext-0.22.patch"
+
+ # Allows running tests without conan
+ "${FILESDIR}/${PN}-3.3.3-remove-conan-test-dependency.patch"
+)
+
+src_prepare() {
+ cmake_src_prepare
+
+ local header_subs="${S}/lib-src/header-substitutes"
+ cat <<-EOF >"${header_subs}/allegro.h" || die
+ /* Hack the allegro.h header substitute to use system headers. */
+ #include <portsmf/allegro.h>
+ EOF
+
+ # Keep in sync with has_networking and the ThreadPool.h SRC_URI.
+ if use audiocom; then
+ mkdir -p "${S}/"/lib-src/threadpool/ThreadPool/ || die
+ cp "${DISTDIR}"/progschj-ThreadPool-"${MY_THREADPOOL_DATE}".h \
+ "${S}"/lib-src/threadpool/ThreadPool/ThreadPool.h || die
+ fi
+}
+
+src_configure() {
+ # -Werror=strict-aliasing
+ # Reportedly also -Werror=odr but I could not get that far.
+ # https://bugs.gentoo.org/915226
+ # https://github.com/audacity/audacity/issues/6096
+ append-flags -fno-strict-aliasing
+ filter-lto
+
+ setup-wxwidgets
+
+ # * always use system libraries if possible
+ # * options listed roughly in the order specified in
+ # cmake-proxies/CMakeLists.txt
+ # * USE_VST was omitted, it appears to no longer have dependencies
+ # (this is different from VST3)
+ local mycmakeargs=(
+ # Tell the CMake-based build system it's building a release.
+ -DAUDACITY_BUILD_LEVEL=2
+ -Daudacity_use_nyquist=local
+ -Daudacity_use_pch=OFF
+ -Daudacity_use_portmixer=$(usex portmixer system off)
+ -Daudacity_use_soxr=system
+
+ -Daudacity_conan_enabled=OFF
+
+ -Daudacity_has_networking=$(usex audiocom on off)
+ # Not useful on Gentoo.
+ -Daudacity_has_updates_check=OFF
+ -Daudacity_has_audiocom_upload=$(usex audiocom on off)
+
+ # The VST3 SDK is unpackaged, and it appears to be under a breed
+ # of a proprietary license and the GPL.
+ -Daudacity_has_vst3=OFF
+ -Daudacity_lib_preference=system
+ -Daudacity_obey_system_dependencies=ON
+ -Daudacity_use_expat=system
+ -Daudacity_use_ffmpeg=$(usex ffmpeg loaded off)
+ -Daudacity_use_libid3tag=$(usex id3tag system off)
+ -Daudacity_use_ladspa=$(usex ladspa)
+ -Daudacity_use_lame=system
+ -Daudacity_use_wxwidgets=system
+ -Daudacity_use_libmp3lame=system
+ -Daudacity_use_libmpg123=$(usex mpg123 system off)
+ -Daudacity_use_libmad=$(usex mad system off)
+ -Daudacity_use_wavpack=$(usex wavpack system off)
+ -Daudacity_use_libogg=$(usex ogg system off)
+ -Daudacity_use_libflac=$(usex flac system off)
+ -Daudacity_use_libopus=$(usex flac system off)
+ -Daudacity_use_libvorbis=$(usex vorbis system off)
+ -Daudacity_use_libsndfile=system
+ -Daudacity_use_portaudio=system
+ -Daudacity_use_midi=system
+ -Daudacity_use_vamp=$(usex vamp system off)
+ -Daudacity_use_lv2=$(usex lv2 system off)
+ -Daudacity_use_portsmf=system
+ -Daudacity_use_sbsms=$(usex sbsms system off)
+ -Daudacity_use_soundtouch=system
+ -Daudacity_use_twolame=$(usex twolame system off)
+
+ # Disable telemetry features.
+ -Daudacity_has_sentry_reporting=off
+ -Daudacity_has_crashreports=off
+
+ # See the allow-overriding-alsa-jack.patch patch
+ -DPA_HAS_ALSA=$(usex alsa on off)
+ ## Keep watch of PA_HAS_OSS in lib-src/portmixer/CMakeLists.txt;
+ ## AFAICT it introduces no deps as-is, but that could change.
+ ## Similar goes for PA_HAS_JACK.
+
+ -Daudacity_has_tests=$(usex test ON OFF)
+ )
+
+ cmake_src_configure
+}
+
+src_test() {
+ virtx cmake_src_test
+}
+
+src_install() {
+ cmake_src_install
+
+ # Remove bad doc install
+ rm -r "${ED}"/usr/share/doc || die
+}
next reply other threads:[~2024-04-17 19:20 UTC|newest]
Thread overview: 71+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-04-17 19:20 Ionen Wolkens [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-13 14:42 [gentoo-commits] repo/gentoo:master commit in: media-sound/audacity/ Miroslav Šulc
2025-03-11 19:07 Miroslav Šulc
2025-01-25 9:38 Miroslav Šulc
2024-12-29 17:19 Miroslav Šulc
2024-12-29 17:19 Miroslav Šulc
2024-12-24 5:06 Sam James
2024-12-14 5:36 Miroslav Šulc
2024-10-31 19:20 Miroslav Šulc
2024-06-01 3:46 Ionen Wolkens
2024-05-17 18:26 Sam James
2024-03-21 2:52 Sam James
2024-03-05 4:48 Sam James
2024-01-16 3:36 Sam James
2024-01-11 13:03 Sam James
2024-01-11 13:01 Sam James
2023-12-15 12:37 Arthur Zamarin
2023-12-15 3:30 Sam James
2023-12-15 3:26 Ionen Wolkens
2023-12-05 18:25 Ionen Wolkens
2023-12-04 10:20 Sam James
2023-10-03 14:44 Mike Gilbert
2023-10-02 7:02 Miroslav Šulc
2023-06-19 6:47 Miroslav Šulc
2023-06-07 5:19 Miroslav Šulc
2023-06-06 16:55 Arthur Zamarin
2023-05-01 8:32 Miroslav Šulc
2023-05-01 7:35 Arthur Zamarin
2023-03-02 6:43 Miroslav Šulc
2023-01-29 11:12 Miroslav Šulc
2023-01-21 16:18 Arsen Arsenović
2021-09-22 14:30 Yixun Lan
2021-08-16 21:28 Sam James
2020-09-13 8:44 Sergei Trofimovich
2020-09-09 21:59 Sergei Trofimovich
2020-09-07 8:59 Miroslav Šulc
2020-09-07 7:35 Sergei Trofimovich
2020-09-07 7:31 Sergei Trofimovich
2020-08-23 10:39 Miroslav Šulc
2020-08-06 7:33 Miroslav Šulc
2020-08-06 2:35 Sam James
2020-08-04 6:47 Miroslav Šulc
2020-08-03 5:00 Miroslav Šulc
2020-08-02 18:23 Miroslav Šulc
2020-08-02 11:10 Miroslav Šulc
2020-04-25 20:09 Mikle Kolyada
2020-02-12 14:14 Miroslav Šulc
2019-03-11 15:54 Lars Wendler
2018-11-04 22:26 Andreas Sturmlechner
2018-11-04 22:03 Sergei Trofimovich
2018-08-25 18:55 Sergei Trofimovich
2018-08-23 2:32 Mikle Kolyada
2018-08-23 1:41 Thomas Deutschmann
2018-08-22 17:07 Andreas Sturmlechner
2018-08-22 17:07 Andreas Sturmlechner
2018-02-21 10:18 Lars Wendler
2018-02-21 10:14 Lars Wendler
2018-02-21 10:14 Lars Wendler
2017-12-07 11:17 Lars Wendler
2017-11-06 11:11 Lars Wendler
2017-11-06 11:09 Lars Wendler
2017-09-11 12:10 Alexis Ballier
2017-06-18 16:42 Alexis Ballier
2017-06-13 12:31 Agostino Sarubbo
2017-06-05 11:05 Agostino Sarubbo
2017-05-11 9:37 Lars Wendler
2017-05-11 9:37 Lars Wendler
2016-03-31 12:22 Lars Wendler
2015-11-08 10:07 Alexis Ballier
2015-11-08 10:07 Alexis Ballier
2015-10-30 15:21 Alexis Ballier
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1713381437.161cbd97260fddf846671aaf1de191e3545752e7.ionen@gentoo \
--to=ionen@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox